﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Controls.Scroll;

namespace WpfFillRightColumn
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            grid.Model.RowCount = 24;
            grid.Model.ColumnCount = 4;

            this.SizeChanged += new SizeChangedEventHandler(Window1_SizeChanged);
            SetRightColumnToFillGrid();

        }
        
        void Window1_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            SetRightColumnToFillGrid();
        }

        double border = 8;
        double scrollBarWidth = 17;
        private void SetRightColumnToFillGrid()
        {
            double w = 0;
            for(int col = 0; col < grid.Model.ColumnCount-1; ++col)
                w += grid.Model.ColumnWidths[col];
            if (w < this.Width)
            {
                  double targetWidth = this.Width - 2 * border - 1;
                  targetWidth -= ((grid.TopRowIndex != 1 || !grid.IsRowVisible(grid.Model.RowCount-1)) ? scrollBarWidth : 0d);
                grid.Model.ColumnWidths[grid.Model.ColumnCount - 1] = targetWidth - w;
            }
        }
    }
}
